/* SAYFA */
/* ---------- BODY ---------- */

body{

margin:0;
font-family:'Poppins',sans-serif;
color:#fff;

background:
radial-gradient(circle at center,
rgba(255,140,0,.25),
rgba(40,0,0,.95) 40%,
#000 85%);

min-height:100vh;
  /* 🔥 SCROLL AÇILDI */
  overflow-y: auto;
}


/* Glow background */

body::before{

content:"";
position:fixed;
width:900px;
height:900px;
background:radial-gradient(circle,
rgba(255,140,0,.6),
transparent 70%);
top:50%;
left:50%;
transform:translate(-50%,-50%);
filter:blur(120px);
z-index:-1;

}









/* CONTAINER */
.intro-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

/* VIDEO */
.intro-video {
  width: 80%;
  max-width: 700px;
  margin-bottom: 40px;
  border-radius: 20px;
}

/* NAVBAR */

.navbar {
  position: sticky;
  top: 10px;
  width: 100%;
  background: blue; /* siyah */
  color: #fff;
  border-radius: 30px;
  align-items: center;
  text-align: center;
  display: inline-flex;
  justify-content: space-between;
  align-items: center;
  padding: 12px 24px;
  z-index: 1000;
  box-shadow: 0 2px 10px rgba(0,0,0,0.5);
}

p {
  
  font-weight: bolder;
text-align: center;
font-size: larger;
}




nav a {
  color: #fff;
  text-decoration: none;
  margin-left: 25px;
  font-weight: 500;
  transition: color 0.3s;
}

nav a:hover {
  color: #f6d32d;
}







/* ------------------------------------------------------------------------------------ */

/* === NAVBAR === */
.navbar {
  position: sticky;
  top: 0;
  width: 97%;
  background: rgb(97, 97, 13); /* siyah */
  color: #fff;
  border-radius: 30px;
  align-items: center;
  text-align: center;
  display: inline-flex;
  justify-content: space-between;
  align-items: center;
  padding: 12px 24px;
  z-index: 1000;
  box-shadow: 0 2px 10px rgba(0,0,0,0.5);
}

.nav-left {
  display: flex;
  align-items: center;
  gap: 10px;
}

.nav-left .logo {
  border-radius: 50%;
  width: 60px;
  height: 60px;
}

.nav-left .site-desc {
  font-size: 0.78em;
  font-weight: normal;
  text-align: center;
  align-items: center;
   background: red;
    color: yellow;
   width: 220px;
  height: 50px;
  border-radius: 8px;
}


.nav-left .site-desc:hover {
  font-size: 0.78em;
  font-weight: bold;
  text-align: center;
  align-items: center;
   background: yellow;
   color: red;
   width: 190px;
  height: 50px;
  border-radius: 50px;
}



.nav-right a {
  background: red;
  color: yellow;
  padding: 10px 16px;
  margin: 0 5px;
  border-radius: 8px;
  text-decoration: none;
  font-weight: normal;
    font-size: 0.78em;
  transition: all 0.3s ease;
  display: inline-block;
}

.nav-right a:hover {
  transform: translateY(-2px);
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
    background: yellow;
   color: red;
}






/* Hamburger buton */
.menu-toggle {
  display: none;
  font-size: 28px;
  cursor: pointer;
  color: white;
}

/* Mobil görünüm */
@media (max-width: 768px) {
  .nav-right {
    display: none;
    flex-direction: column;
    width: 100%;
    background: #5a25d4;
    text-align: center;
    margin-top: 10px;
    border-radius: 8px;
  }

  .nav-right a {
    display: block;
    margin: 10px 0;
  }

  .menu-toggle {
    display: block;
  }

  .nav-right.active {
    display: flex;
  }
}



/* ------------------------------------------------------------------------------------ */